Bug 1419755 - [RFE] Backwards compatibility with previous version [for RHOSP12]
Summary: [RFE] Backwards compatibility with previous version [for RHOSP12]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates-compat
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 12.0 (Pike)
Assignee: mathieu bultel
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1469597
TreeView+ depends on / blocked
 
Reported: 2017-02-06 23:51 UTC by Jaromir Coufal
Modified: 2018-03-05 16:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 21:24:32 UTC
Target Upstream Version:
rbartal: needinfo+
tvignaud: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0253 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 director Bug Fix Advisory 2018-02-16 03:41:33 UTC

Description Jaromir Coufal 2017-02-06 23:51:20 UTC
Assure that RHOSP director 12 can:
* deploy (new deployments),
* manage (upgraded undercloud performing day2 operations)

previous version - RHOSP 11.

Comment 5 Dan Macpherson 2017-12-05 05:16:48 UTC
Tested out backward compatibility of OSP11 deployed with OSPd 12 and hit an error:

overcloud.AllNodesDeploySteps.ControllerDeployment_Step1.1:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: 936d374f-e31f-4f05-bf57-adaef57fbd23
  status: CREATE_FAILED
  status_reason: |
    Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
  deploy_stdout: |
    Notice: hiera(): Cannot load backend module_data: cannot load such file -- hiera/backend/module_data_backend
  deploy_stderr: |
    Warning: This method is deprecated, please use match expressions with Stdlib::Compat::Array instead. They are described at https://docs.puppet.com/puppet/latest/reference/lang_data_type.html#match-expressions. at ["/etc/puppet/modules/tripleo/manifests/profile/pacemaker/database/mysql.pp", 108]:["/var/lib/heat-config/heat-config-puppet/adfa6b95-b6ab-47bf-9650-8f030d515f71.pp", 61]
       (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')
    Warning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at ["/etc/puppet/modules/tripleo/manifests/profile/base/database/mysql.pp", 97]:["/var/lib/heat-config/heat-config-puppet/adfa6b95-b6ab-47bf-9650-8f030d515f71.pp", 61]
       (at /etc/puppet/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in `deprecation')
    Warning: ModuleLoader: module 'mysql' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules
       (file & line not available)
    Warning: ModuleLoader: module 'rabbitmq' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules
       (file & line not available)
    Error: Evaluation Error: Error while evaluating a Resource Statement, Class[Rabbitmq]: parameter 'port' expects an Integer value, got String at /etc/puppet/modules/tripleo/manifests/profile/base/rabbitmq.pp:124:7 on node overcloud-controller-1.ccsosp

This error does not occur with OSP12 containerized deployments.

Comment 6 Amit Ugol 2017-12-13 09:33:17 UTC
100% execution, 100% quality

Comment 12 errata-xmlrpc 2018-01-30 21:24:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0253


Note You need to log in before you can comment on or make changes to this bug.